Gallery Platform API
Reference

List legal document templates

Lists the available legal document templates (latest version each) with their guided-interview questions and attorney-vetting status. Unvetted templates generate documents with a DRAFT watermark.

GET
/gallery/legal-document-templates

Lists the available legal document templates (latest version each) with their guided-interview questions and attorney-vetting status. Unvetted templates generate documents with a DRAFT watermark.

Authorization

bearerAuth legal_documents:read
AuthorizationBearer <token>

A gallery API key, sent as Authorization: Bearer gpk_… (or the x-api-key header).

In: header

Scope: legal_documents:read

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

{  "data": [    {      "key": "string",      "version": -9007199254740991,      "document_type": "loan_agreement",      "title": "string",      "description": "string",      "vetted": true,      "questions": [        {          "id": "string",          "type": "boolean",          "label": "string",          "help_text": "string",          "options": [            {              "value": "string",              "label": "string"            }          ],          "required": true,          "ask_when": null        }      ]    }  ]}